/// <reference types="react" />
import ColumnChartComponent from "./ChartsComponents/ColumnChartComponent";
declare const DashboardDesigner: () => JSX.Element;
export declare const layoutGridProps: {
    rowHeight: number;
    className: string;
    cols: {
        lg: number;
        md: number;
        sm: number;
        xs: number;
        xxs: number;
    };
    useCSSTransforms: boolean;
};
export declare const WidgetTypes: {
    Name: string;
    Disabled: boolean;
}[];
export declare const widgetComponents: {
    type: string;
    component: typeof ColumnChartComponent;
}[];
export default DashboardDesigner;
